# TODO:
# - initscript for zabbix-server, zabbix-proxy and zabbix-java
#
# Conditional build:
%bcond_without	agent2	# build Zabbix Agent 2
%bcond_without	pgsql 	# enable PostgreSQL support
%bcond_without	sqlite3	# enable sqlite3 support
%bcond_without	mysql	# enable MySQL support
%bcond_without	java	# disable java support

%define databases %{?with_sqlite3:sqlite3} %{?with_pgsql:postgresql} %{?with_mysql:mysql}
%define any_database %{with pgsql}%{with mysql}%{with sqlite3}

%define		_noautoreq_pear	/etc/zabbix/web/maintenance\.inc\.php include/.*\.php vendor/.*\.php

%define		php_min_version 7.2.5

%ifnarch %{go_arches}
%undefine       with_agent2
%endif

%{?with_java:%{?use_default_jdk}}

Summary:	Zabbix - network monitoring software
Summary(pl.UTF-8):	Zabbix - oprogramowanie do monitorowania sieci
Name:		zabbix
Version:	6.0.33
Release:	1%{?tld}
License:	GPL v2+
Group:		Networking/Utilities
Source0:	https://cdn.zabbix.com/zabbix/sources/stable/6.0/%{name}-%{version}.tar.gz
# Source0-md5:	100fd4ef73de6918e65ea71166658521
Source1:	%{name}-apache.conf
Source2:	%{name}_agentd.init
Source3:	%{name}_server.init
Source4:	%{name}_proxy.init
Source5:	%{name}_agent2.init
Source6:	%{name}_agent2.sysconfig
Patch0:		tld.patch
Patch1:		sqlite3_dbname.patch
Patch2:		always_compile_ipc.patch
Patch3:		agent2.patch
Patch4:		go.patch
URL:		https://www.zabbix.com/
BuildRequires:	OpenIPMI-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.15
BuildRequires:	curl-devel
%{?with_agent2:BuildRequires:	golang >= 1.13}
%{?with_java:%buildrequires_jdk}
BuildRequires:	libevent-devel
BuildRequires:	libssh2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
%{?with_mysql:BuildRequires:	mysql-devel}
BuildRequires:	net-snmp-devel
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.671
%{?with_java:BuildRequires:	rpm-tld-macros-javaprov}
%{?with_sqlite3:BuildRequires:	sqlite3-devel}
BuildRequires:	unixODBC-devel
BuildRequires:	zlib-devel
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(zabbix)
Provides:	user(zabbix)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}

%description
Zabbix is software that monitors numerous parameters of a network and
the servers on that network. It is a useful tool for monitoring the
health and integrity of servers. Zabbix uses a flexible notification
mechanism that allows users to configure email based alerts for
virtually any event. All monitored parameters are stored in a
database. Zabbix offers excellent reporting and data visualisation
features based on the stored data. Zabbix supports both polling and
trapping. All Zabbix reports and statistics, as well as configuration
parameters, are accessed through a web-based front end.

%description -l pl.UTF-8
Zabbix to oprogramowanie do monitorowania licznych parametrów sieci i
serwerów sieciowych. Jest przydatny przy monitorowaniu działania
serwerów. Jorzysta z elastycznego mechanizmu powiadamiania, który
pozwala użytkownikom konfigurować powiadamianie pocztą elektroniczną
dla praktycznie wszelkich zdarzeń. Monitorowane parametry są
przechowywane w bazie danych. W oparciu o przechowywane dane Zabbix
oferuje świetne raportowanie i funkcje wizualizacji. Wspiera zarówno
odpytywanie jak i pułapkowanie. Dostęp do wszystkich raportów i
statystyk Zabbixa jest możliwy poprzez interfejs oparty o WWW.

%package agentd
Summary:	Zabbix Agent
Summary(pl.UTF-8):	Agenta Zabbixa
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zabbix-agent-inetd
Obsoletes:	zabbix-agent-standalone
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description agentd
Zabbix agent collects data from the local system for a Zabbix server.

%description agentd -l pl.UTF-8
Agent zbiera dane z lokalnej maszyny dla serwera Zabbix.

%package agent2
Summary:	Zabbix Agent 2
Summary(pl.UTF-8):	Agent 2 Zabbixa
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description agent2
Zabbix agent collects data from the local system for a Zabbix server.

%description agent2 -l pl.UTF-8
Agent zbiera dane z lokalnej maszyny dla serwera Zabbix.

%package web
Summary:	Web frontend for Zabbix
Summary(pl.UTF-8):	Interfejs Web dla Zabbixa
Group:		Applications/WWW
Requires:	php(bcmath)
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(filter)
Requires:	php(gd)
Requires:	php(gettext)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(openssl)
Requires:	php(pcre)
Requires:	php(session)
Requires:	php(sockets)
Requires:	php(xml)
Requires:	php(xmlreader)
Requires:	php(xmlwriter)
Requires:	webapps
Requires:	webserver(alias)
Requires:	webserver(indexfile)
Requires:	webserver(php)
Suggests:	php(mysql)
Suggests:	php(pgsql)
Suggests:	php(sqlite3)
# used with sqlite3
Suggests:	php(sysvsem)
BuildArch:	noarch

%description web
This package provides web based (PHP) frontend for Zabbix.

%description web -l pl.UTF-8
Ten pakiet dostarcza napisany w PHP frontend dla Zabbixa.

%package proxy
Summary:	Zabbix proxy
Summary(pl.UTF-8):	Proxy do Zabbixa
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}
Requires:	zabbix-proxy(db) = %{version}-%{release}

%description proxy
This package provides the Zabbix proxy.

%description proxy -l pl.UTF-8
Ten pakiet zawiera proxy Zabbix.

%package proxy-mysql
Summary:	MySQL support for Zabbix proxy
Summary(pl.UTF-8):	Obsługa MySQL dla proxy do Zabbixa
Group:		Networking/Utilities
Provides:	%{name}-proxy(db) = %{version}-%{release}
Obsoletes:	zabbix-proxy-postgresql
Obsoletes:	zabbix-proxy-sqlite3

%description proxy-mysql
This package provides the Zabbix proxy binary with MySQL support.

%description proxy-mysql -l pl.UTF-8
Ten pakiet zawiera proxy Zabbix z obsługą MySQL.

%package proxy-postgresql
Summary:	PostgreSQL support for Zabbix proxy
Summary(pl.UTF-8):	Obsługa PostgreSQL dla proxy do Zabbixa
Group:		Networking/Utilities
Provides:	%{name}-proxy(db) = %{version}-%{release}
Obsoletes:	zabbix-proxy-mysql
Obsoletes:	zabbix-proxy-sqlite3

%description proxy-postgresql
This package provides the Zabbix proxy binary with PostgreSQL support.

%description proxy-postgresql -l pl.UTF-8
Ten pakiet zawiera proxy Zabbix z obsługą PostgreSQL.

%package proxy-sqlite3
Summary:	SQLite 3 support for Zabbix proxy
Summary(pl.UTF-8):	Obsługa SQLite 3 dla proxy do Zabbixa
Group:		Networking/Utilities
Provides:	%{name}-proxy(db) = %{version}-%{release}
Obsoletes:	zabbix-proxy-mysql
Obsoletes:	zabbix-proxy-postgresql

%description proxy-sqlite3
This package provides the Zabbix proxy binary with SQLite 3 support.

%description proxy-sqlite3 -l pl.UTF-8
Ten pakiet zawiera proxy Zabbix z obsługą SQLite 3.

%package server
Summary:	Zabbix server
Summary(pl.UTF-8):	Serwer Zabbixa
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-server(db) = %{version}-%{release}
Obsoletes:	zabbix-suckerd
Obsoletes:	zabbix-trapper-inetd
Obsoletes:	zabbix-trapper-standalone

%description server
This package provides the Zabbix server.

%description server -l pl.UTF-8
Ten pakiet zawiera serwer Zabbixa.

%package server-mysql
Summary:	MySQL support for Zabbix server
Summary(pl.UTF-8):	Obsługa MySQL sla serwera Zabbixa
Group:		Networking/Utilities
Provides:	%{name}-server(db) = %{version}-%{release}
Obsoletes:	zabbix-server-postgresql
Obsoletes:	zabbix-server-sqlite3

%description server-mysql
This package provides the Zabbix server binary for use with MySQL
database.

%description server-mysql -l pl.UTF-8
Ten pakiet zawiera serwer Zabbixa z obsługą bazy danych MySQL.

%package server-postgresql
Summary:	PostgreSQL support for Zabbix server
Summary(pl.UTF-8):	Obsługa PostgreSQL sla serwera Zabbixa
Group:		Networking/Utilities
Provides:	%{name}-server(db) = %{version}-%{release}
Obsoletes:	zabbix-server-mysql
Obsoletes:	zabbix-server-sqlite3

%description server-postgresql
This package provides the Zabbix server binary for use with PostgreSQL
database.

%description server-postgresql -l pl.UTF-8
Ten pakiet zawiera serwer Zabbixa z obsługą bazy danych PostgreSQL.

%package java
Summary:	Zabbix Java Gateway
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}

%description java
This package provides the Zabbix Java Gateway.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

configure() {
	%configure \
	%{?with_java:ac_cv_prog_JAVAC=%{java_home}/bin/javac} \
	%{?with_java:ac_cv_prog_JAR=%{java_home}/bin/jar} \
	--enable-agent \
	%{__enable_disable agent2} \
	--enable-ipv6 \
	%{__enable_disable java} \
	--with-ldap \
	--with-libcurl \
	--with-libevent \
	--with-libpcre2 \
	--with-libxml2 \
	--with-net-snmp \
	--with-openipmi \
	--with-openssl \
	--with-ssh2 \
	--with-unixodbc \
	"$@"
}

configure \
	--disable-server \
	--disable-proxy

%{__make}

for database in %{databases} ; do
	if [ "$database" = "sqlite3" ] ; then
		enable_server=""
	else
		enable_server="--enable-server"
	fi
	configure \
		--with-$database \
		$enable_server \
		--enable-proxy

	%{__make}

	if [ "$enable_server" ] ; then
		%{__make} install \
			-C src/zabbix_server \
			DESTDIR=$PWD/install-${database}
	fi

	%{__make} install \
		-C src/zabbix_proxy \
		DESTDIR=$PWD/install-${database}
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/zabbix_agent2.conf.d,/etc/{rc.d/init.d,sysconfig},/etc/webapps/%{_webapp},%{_appdir}} \
	$RPM_BUILD_ROOT{/var/run/zabbix,/var/log/zabbix}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	ZJG_DEST=$RPM_BUILD_ROOT%{_datadir}/zabbix_java

for database in %{databases} ; do
	if [ "$database" != "sqlite3" ] ; then
		cp -p install-$database/%{_sbindir}/zabbix_server \
			$RPM_BUILD_ROOT%{_sbindir}/zabbix_server-$database
	fi
	cp -p install-$database/%{_sbindir}/zabbix_proxy \
		$RPM_BUILD_ROOT%{_sbindir}/zabbix_proxy-$database
done

if [ -n "$database" ] ; then
	ln -sf %{_sbindir}/zabbix_server-$database $RPM_BUILD_ROOT%{_sbindir}/zabbix_server
	ln -sf %{_sbindir}/zabbix_proxy-$database $RPM_BUILD_ROOT%{_sbindir}/zabbix_proxy
fi

cp -r ui $RPM_BUILD_ROOT%{_appdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/apache.conf
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf

install	%{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix_agentd
install	%{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix_server
install	%{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix_proxy
install	%{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/zabbix_agent2
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/zabbix_agent2

mv $RPM_BUILD_ROOT%{_appdir}/ui/conf $RPM_BUILD_ROOT%{_sysconfdir}/web
ln -s %{_sysconfdir}/web $RPM_BUILD_ROOT%{_appdir}/ui/conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/web/zabbix.conf.php

%if %{with java}
mv $RPM_BUILD_ROOT%{_datadir}/zabbix_java/settings.sh $RPM_BUILD_ROOT%{_sysconfdir}/zabbix_java.conf
ln -s %{_sysconfdir}/zabbix_java.conf $RPM_BUILD_ROOT%{_datadir}/zabbix_java/settings.sh
mv $RPM_BUILD_ROOT%{_datadir}/zabbix_java/lib/logback.xml $RPM_BUILD_ROOT%{_sysconfdir}/java-logback.xml
ln -s %{_sysconfdir}/java-logback.xml $RPM_BUILD_ROOT%{_datadir}/zabbix_java/lib/logback.xml
mv $RPM_BUILD_ROOT%{_datadir}/zabbix_java/lib/logback-console.xml $RPM_BUILD_ROOT%{_sysconfdir}/java-logback-console.xml
ln -s %{_sysconfdir}/java-logback-console.xml $RPM_BUILD_ROOT%{_datadir}/zabbix_java/lib/logback-console.xml

cat >$RPM_BUILD_ROOT%{_sbindir}/zabbix_java-start <<'EOF'
#!/bin/sh

exec %{_datadir}/zabbix_java/startup.sh "$@"
EOF

cat >$RPM_BUILD_ROOT%{_sbindir}/zabbix_java-stop <<'EOF'
#!/bin/sh

exec %{_datadir}/zabbix_java/shutdown.sh "$@"
EOF
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin web -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun web -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%pre
%groupadd -g 111 zabbix
%useradd -d / -u 111 -g zabbix -c "Zabbix User" -s /bin/false zabbix
%addusertogroup -q zabbix proc

%postun
if [ "$1" = "0" ]; then
	%userremove zabbix
	%groupremove zabbix
fi

%post server-mysql
if [ "$1" = 1 ]; then
	%banner -e %{name}-server <<-EOF
	You should create database for Zabbix.

	Running these should be fine in most cases:

	mysqladmin create zabbix
	cat %{_docdir}/%{name}-server-mysql-%{version}/schema.sql | mysql zabbix
	cat %{_docdir}/%{name}-server-mysql-%{version}/images.sql | mysql zabbix
	cat %{_docdir}/%{name}-server-mysql-%{version}/data.sql | mysql zabbix
EOF
fi
ln -sf %{_sbindir}/zabbix_server-mysql %{_sbindir}/zabbix_server || :

%post server-postgresql
if [ "$1" = 1 ]; then
	%banner -e %{name}-server <<-EOF
	You should create database for Zabbix.

	Running these should be fine in most cases:

	createuser -U postgres zabbix
	createdb -U postgres -O zabbix zabbix
	cat %{_docdir}/%{name}-server-postgresql-%{version}/schema.sql | psql -U zabbix zabbix
	cat %{_docdir}/%{name}-server-postgresql-%{version}/images.sql | psql -U zabbix zabbix
	cat %{_docdir}/%{name}-server-postgresql-%{version}/data.sql | psql -U zabbix zabbix
EOF
fi
ln -sf %{_sbindir}/zabbix_server-postgresql %{_sbindir}/zabbix_server || :

%post server
/sbin/chkconfig --add zabbix_server
%service zabbix_server restart

%postun server
if [ "$1" = "0" ]; then
	%service -q zabbix_server stop
	/sbin/chkconfig --del zabbix_server
fi
if [ "$1" = "0" ]; then
	if [ -L %{_sbindir}/zabbix_server ] ; then
		rm -f %{_sbindir}/zabbix_server || :
	fi
fi

%post agentd
/sbin/chkconfig --add zabbix_agentd
%service zabbix_agentd restart

%preun agentd
if [ "$1" = "0" ]; then
	%service -q zabbix_agentd stop
	/sbin/chkconfig --del zabbix_agentd
fi

%post agent2
/sbin/chkconfig --add zabbix_agent2
%service zabbix_agent2 restart

%preun agent2
if [ "$1" = "0" ]; then
	%service -q zabbix_agent2 stop
	/sbin/chkconfig --del zabbix_agent2
fi

%post proxy-mysql
ln -sf %{_sbindir}/zabbix_proxy-mysql %{_sbindir}/zabbix_proxy || :

%post proxy-postgresql
ln -sf %{_sbindir}/zabbix_proxy-postgresql %{_sbindir}/zabbix_proxy || :

%post proxy-sqlite3
ln -sf %{_sbindir}/zabbix_proxy-sqlite3 %{_sbindir}/zabbix_proxy || :

%post proxy
/sbin/chkconfig --add zabbix_server
%service zabbix_server restart

%postun proxy
if [ "$1" = "0" ]; then
	%service -q zabbix_proxy stop
	/sbin/chkconfig --del zabbix_proxy
fi
if [ "$1" = "0" ]; then
	if [ -L %{_sbindir}/zabbix_proxy ] ; then
		rm -f %{_sbindir}/zabbix_proxy || :
	fi
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/zabbix_get
%attr(755,root,root) %{_bindir}/zabbix_js
%attr(755,root,root) %{_bindir}/zabbix_sender
%attr(751,root,zabbix) %dir %{_sysconfdir}
%attr(751,root,http) %dir %{_sysconfdir}/web
%dir %{_appdir}
%dir %attr(770,root,zabbix) /var/run/zabbix
%dir %attr(775,root,zabbix) /var/log/zabbix
%{_mandir}/man1/zabbix_get*
%{_mandir}/man1/zabbix_sender*

%files agentd
%defattr(644,root,root,755)
%doc conf/zabbix_agentd/*.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agentd.conf
%dir %attr(751,root,zabbix) %{_sysconfdir}/zabbix_agentd.conf.d
%attr(754,root,root) /etc/rc.d/init.d/zabbix_agentd
%attr(755,root,root) %{_sbindir}/zabbix_agentd
%{_mandir}/man8/zabbix_agentd*

%if %{with agent2}
%files agent2
%defattr(644,root,root,755)
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.conf
%dir %attr(751,root,zabbix) %{_sysconfdir}/zabbix_agent2.d
%dir %attr(751,root,zabbix) %{_sysconfdir}/zabbix_agent2.d/plugins.d
%dir %attr(751,root,zabbix) %{_sysconfdir}/zabbix_agent2.conf.d
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/ceph.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/docker.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/memcached.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/modbus.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/mqtt.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/mysql.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/oracle.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/redis.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_agent2.d/plugins.d/smart.conf
%attr(754,root,root) /etc/rc.d/init.d/zabbix_agent2
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/zabbix_agent2
%attr(755,root,root) %{_sbindir}/zabbix_agent2
%{_mandir}/man8/zabbix_agent2*
%endif

%files web
%defattr(644,root,root,755)
%attr(750,root,http) %dir %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf
%ghost %attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/web/zabbix.conf.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/web/.htaccess
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/web/maintenance.inc.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/web/zabbix.conf.php.example
%{_appdir}/ui

%if %{any_database}
%files proxy
%defattr(644,root,root,755)
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_proxy.conf
%dir %attr(751,root,zabbix) %{_sysconfdir}/zabbix_proxy.conf.d
%attr(754,root,root) /etc/rc.d/init.d/zabbix_proxy
%ghost %attr(755,root,root) %{_sbindir}/zabbix_proxy
%{_mandir}/man8/zabbix_proxy*
%endif

%if %{with mysql}
%files proxy-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/zabbix_proxy-mysql
%endif

%if %{with pgsql}
%files proxy-postgresql
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/zabbix_proxy-postgresql
%endif

%if %{with sqlite3}
%files proxy-sqlite3
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/zabbix_proxy-sqlite3
%endif


%if %{any_database}
%files server
%defattr(644,root,root,755)
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_server.conf
%dir %attr(751,root,zabbix) %{_sysconfdir}/zabbix_server.conf.d
%attr(754,root,root) /etc/rc.d/init.d/zabbix_server
%ghost %attr(755,root,root) %{_sbindir}/zabbix_server
%{_mandir}/man8/zabbix_server*
%endif

%if %{with mysql}
%files server-mysql
%defattr(644,root,root,755)
%doc database/mysql/*.sql
%attr(755,root,root) %{_sbindir}/zabbix_server-mysql
%endif

%if %{with pgsql}
%files server-postgresql
%defattr(644,root,root,755)
%doc database/postgresql/*.sql
%attr(755,root,root) %{_sbindir}/zabbix_server-postgresql
%endif

%if %{with java}
%files java
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/zabbix_java-start
%attr(755,root,root) %{_sbindir}/zabbix_java-stop
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/zabbix_java.conf
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/java-logback.xml
%attr(640,root,zabbix) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/java-logback-console.xml
%dir %{_datadir}/zabbix_java
%{_datadir}/zabbix_java/bin
%{_datadir}/zabbix_java/lib
%{_datadir}/zabbix_java/settings.sh
%attr(755,root,root) %{_datadir}/zabbix_java/shutdown.sh
%attr(755,root,root) %{_datadir}/zabbix_java/startup.sh
%endif
%changelog
* Fri Aug 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/zabbix.git;a=log;h=master

* Fri Aug 16 2024 Marcin Krol <hawk@tld-linux.org> f65b40f
- updated to 6.0.33

* Sat Jul 06 2024 Marcin Krol <hawk@tld-linux.org> 5760b1f
- updated to 6.0.31

* Sun Jun 16 2024 Marcin Krol <hawk@tld-linux.org> 640c773
- fix noautoreq

* Sun Jun 09 2024 Marcin Krol <hawk@tld-linux.org> 52cee10
- updated to 6.0.30

* Wed Apr 24 2024 Marcin Krol <hawk@tld-linux.org> e7822ea
- updated to 6.0.29

* Thu Apr 04 2024 Marcin Krol <hawk@tld-linux.org> 33e0137
- updated to 6.0.28

* Wed Jan 10 2024 Marcin Krol <hawk@tld-linux.org> df3f9c3
- fixed Agent2 .pid and .log paths

* Wed Jan 10 2024 Marcin Krol <hawk@tld-linux.org> f188806
- web requires php(filter)

* Wed Jan 10 2024 Marcin Krol <hawk@tld-linux.org> 4277228
- web requires php(openssl)

* Wed Jan 10 2024 Marcin Krol <hawk@tld-linux.org> 67294eb
- fix %post messages

* Wed Jan 10 2024 Marcin Krol <hawk@tld-linux.org> 96ef8ff
- updated to 6.0.25

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> b2a43ea
- build with pcre2, minor merge from PLD spec

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> ecf728f
- fork in background during startup

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> bf5de56
- go build/install fixes

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> 5aa23fb
- change default value of run in foreground to false

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> ca56748
- don't build Zabbix Agent 2 by default, it requires systemd to run

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> 49036b2
- init script for Zabbix Agent 2

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> a04b9f6
- build and package Zabbix Agent 2

* Thu Jul 20 2023 Marcin Krol <hawk@tld-linux.org> 66e167b
- updated to 6.0.19

* Thu Mar 09 2023 Marcin Krol <hawk@tld-linux.org> 6a45060
- updated to 6.0.14

